# Class CIM_LANConnectivitySegment
extends CIM_ConnectivityCollection

A collection of LAN Endpoints of a particular type (i.e., Ethernet or Token Ring), that are able to intercommunicate without the assistance of bridging or routing services.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_ConnectivityCollection
|
+--CIM_LANConnectivitySegment

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A collection of LAN Endpoints of a particular type (i.e., Ethernet or Token Ring), that are able to intercommunicate without the assistance of bridging or routing services.
UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConnectivityType | uint16 |
Description | string | An enumeration that categorizes and classifies instances of this class. Instances SHOULD aggregate entities of the appropriate 'type', as defined by the value of this enumeration.
ModelCorrespondence | string | CIM_LANConnectivitySegment.OtherTypeDescription
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Ethernet, TokenRing, FDDI
LANID | string |
Description | string | A label or identifier for the LAN segment.
MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_LANEndpoint.LANID
OtherTypeDescription | string |
Description | string | A string describing the type of connectivity that is supported by this Collection, when the value of the Type property is set to 1 (i.e., "Other"). This property should be set to NULL when the Type property is any value other than 1.
ModelCorrespondence | string | CIM_LANConnectivitySegment.ConnectivityType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ConnectivityStatus | uint16 | CIM_ConnectivityCollection
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods